var mcngraphics = {
	
	add_my_row: function() {
		var tb = document.getElementById( "tb" );
		var tKeyword = document.getElementById( "tKeyword" );
		var tURL = document.getElementById( "tURL" );
		var tValid1 = document.getElementById( "tValid1" );
		var tValid2 = document.getElementById( "tValid2" );
		var tValid3 = document.getElementById( "tValid3" );
		
		tValid1.style.display = "none";
		tValid2.style.display = "none";
		tValid3.style.display = "none";

		//Trim Keywords and URL
		tKeyword.value = tKeyword.value.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
		tURL.value = tURL.value.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
		tURL.value = tURL.value.replace( "http://", "" );
		tURL.value = tURL.value.replace( "mailto:", "" );

		//See if either field is empty		
		if ( ( tKeyword.value.length == 0 ) || ( tURL.value.length == 0 ) ) {
			tValid1.style.display = "inline";
			return;
		}

		//See if keyword is already present in table		
		for ( var i=0; i<tb.rows.length; i++ ) {
			//if ( tb.rows[i].cells[0].firstChild.text.toLowerCase() == tKeyword.value.toLowerCase() ) { //<-- fails in IE8
			if ( tb.rows[i].cells[0].children[0].innerHTML.toLowerCase() == tKeyword.value.toLowerCase() ) {
				tValid2.style.display = "inline";
				return;
			}
		}

		//See if keyword contains illegal characters		
		if (
			( tKeyword.value.indexOf("'") != -1 ) ||
			( tKeyword.value.indexOf("\"") != -1 )
		) {
			tValid3.style.display = "inline";
			return;
		}
	
		var rowCount = tb.rows.length;
		var row = tb.insertRow( rowCount );
		
		var cell1 = row.insertCell( 0 );
		cell1.innerHTML = "<a href='http://" + tURL.value + "'>" + tKeyword.value + "</a>";
		var cell2 = row.insertCell( 1 );
		cell2.innerHTML = tURL.value;
		
		var cell3 = row.insertCell( 2 );
		cell3.innerHTML = "<a href='#' onclick='mcngraphics.delete_my_row( this.parentNode.parentNode.rowIndex )'>Remove</a>";
		
		mcngraphics.save_hidden_input();
	},

	delete_my_row: function( i ) {
		var tValid1 = document.getElementById( "tValid1" );
		var tValid2 = document.getElementById( "tValid2" );
		tValid1.style.display = "none";
		tValid2.style.display = "none";
		
		var tb = document.getElementById( "tb" );
		tb.deleteRow( i );
		mcngraphics.save_hidden_input();
	},

	save_hidden_input: function() {
		var tValid1 = document.getElementById( "tValid1" );
		var tValid2 = document.getElementById( "tValid2" );
		tValid1.style.display = "none";
		tValid2.style.display = "none";

		var tb = document.getElementById( "tb" );
		var hSerialized = document.getElementById( "mcn_keyword_to_url_serialized" );
		hSerialized.value = "";
		for ( var i=0; i<tb.rows.length; i++ ) {
			hSerialized.value += (
				tb.rows[i].cells[0].children[0].innerHTML + "mcn0" +
				tb.rows[i].cells[1].innerHTML + "mcn1"
			)
		}
	}
}

/* share URL: http://www.20script.ir */